{ config, pkgs, threemaModules, ... }: {

  imports = [
    ./networking.nix
    ./filesystems.nix
    ../../defaults/base
    ../../defaults/hardware/apu.nix
  ];

  # Set your time zone.
  # time.timeZone = "Europe/Amsterdam";

  # Define a user account. Don't forget to set a password with ‘passwd’.
  # users.users.jane = {
  #   isNormalUser = true;
  #   extraGroups = [ "wheel" ]; # Enable ‘sudo’ for the user.
  # };

  services.home-assistant = {
    enable = true;
    package = pkgs.home-assistant.override {
      extraPackages = python3Packages: with python3Packages; [ psycopg2 ];
      extraComponents = [ "default_config" "esphome" "met" ];
    };
    openFirewall = true;
    extraComponents = [ "xiaomi_miio" ];
    config = {
      homeassistant = {
        name = "Home";
        latitude = "!secret latitude";
        longitude = "!secret longitude";
        elevation = "!secret elevation";
        unit_system = "metric";
        time_zone = "UTC";
      };
      frontend = { themes = "!include_dir_merge_named themes"; };
      http = { };
    };
  };

  # This value determines the NixOS release from which the default
  # settings for stateful data, like fi:le locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "22.11"; # Did you read the comment?

}
