{ config, pkgs, threemaModules, ... }: {

  services.qois.wwan = {
    enable = true;
    apn = "gprs.swisscom.ch";
    networkInterface = "wwp0s19u1u3i12";
  };

  services.qois.router = {
    enable = true;
    wirelessInterfaces = [ "wlp5s0" ];
    lanInterfaces = [ "enp2s0" "enp3s0" "enp4s0" ];
    internalRouterIP = "10.2.1.1";
    dhcp = {
      enable = true;
      localDomain = "iot-bachtel-lan.net.fh2.ch";
      dhcpRange = "10.2.1.2,10.2.1.249";
    };
    #recursiveDns = {
    #  enable = true;
    #  networkIdIp = "10.2.1.0";
    #};
    wireless = {
      enable = true;
      wleInterface24Ghz = "wlp5s0";
      #wleInterface5Ghz = "wlp5s0";
      ssid = "jona-iot";
      passphrase = "vrzjYq36xA";
    };
  };

  networking.hostName = "bachtel"; # Define your hostname.
  #networking.wireless.enable = true;  # Enables wireless support via wpa_supplicant.
  #networking.wireless.networks = {
  #  yummi = {
  #    psk = "cookies!";
  #  };
  #};
  networking.interfaces.enp1s0.useDHCP = true;

}
